Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ObjectWhiteboard.Fact

    java.lang.Object
      ix.ip2.ObjectWhiteboard.Fact

Enclosing class:
  ObjectWhiteboard

     class ObjectWhiteboard.Fact

extends java.lang.Object

What we need to know about world-state entries ("facts"). Used to connect world-state patterns with table cells.

Field Summary
`(package private) java.lang.Object` | `obj`
`(package private) LList` | `pattern`
`(package private) ObjectProperty` | `prop`
`(package private) javax.swing.text.Element` | `td`
`(package private) java.lang.Object` | `value`
`(package private) boolean` | `wasEdited`

Constructor Summary
`ObjectWhiteboard.Fact(java.lang.Object obj, ObjectProperty prop, javax.swing.text.Element td)`

Method Summary
`(package private) void` | `changeValue(java.lang.Object newValue)`
`(package private) void` | `delete()`
`(package private) void` | `edited()`
`(package private) java.lang.String` | `getTableText()`
`(package private) java.lang.Object` | `getValue()`
`(package private) java.lang.Object` | `getValueFromTable()`
`(package private) void` | `recordYourself()`
`java.lang.String` | `toString()`
`(package private) void` | `writeTableText(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pattern

    LList pattern

### value

    java.lang.Object value

### obj

    java.lang.Object obj

### prop

    ObjectProperty prop

### td

    javax.swing.text.Element td

### wasEdited

    boolean wasEdited

Constructor Detail

### ObjectWhiteboard.Fact

    ObjectWhiteboard.Fact(java.lang.Object obj,
                          ObjectProperty prop,
                          javax.swing.text.Element td)

Method Detail

### recordYourself

    void recordYourself()

### edited

    void edited()

### getValue

    java.lang.Object getValue()

### getValueFromTable

    java.lang.Object getValueFromTable()

### getTableText

    java.lang.String getTableText()

### changeValue

    void changeValue(java.lang.Object newValue)

### writeTableText

    void writeTableText(java.lang.String text)

### delete

    void delete()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD